Bug 1479460 - cmake3 dependency on libarchive3 broken
cmake3 dependency on libarchive3 broken
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: cmake3 (Show other bugs)
el6
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Björn 'besser82' Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 11:06 EDT by Maxime
Modified: 2017-08-10 10:06 EDT (History)
2 users (show)

See Also:
Fixed In Version: cmake3-3.6.1-3.el6
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-10 02:19:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maxime 2017-08-08 11:06:59 EDT
Description of problem:
cmake3 cannot be installed since the latest libarchive3 update https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-22a20c457f

Version-Release number of selected component (if applicable):
cmake3.x86_64 0:3.6.1-2.el6

Reproducible:
CentOS 6.8
Install epel-release
Install cmake3

Actual results:
[root@f451589c5c59 /]# yum install cmake3
Loaded plugins: fastestmirror, ovl
Setting up Install Process
Determining fastest mirrors
epel/metalink                                                                                                                                                                                 |  11 kB     00:00     
 * base: mirror.steadfast.net
 * epel: mirror.steadfast.net
 * extras: ftpmirror.your.org
 * updates: mirrors.liquidweb.com
epel                                                                                                                                                                                          | 4.3 kB     00:00     
epel/primary_db                                                                                                                                                                               | 5.9 MB     00:01     
Resolving Dependencies
--> Running transaction check
---> Package cmake3.x86_64 0:3.6.1-2.el6 will be installed
--> Processing Dependency: cmake3-data = 3.6.1-2.el6 for package: cmake3-3.6.1-2.el6.x86_64
--> Processing Dependency: libjsoncpp.so.0()(64bit) for package: cmake3-3.6.1-2.el6.x86_64
--> Processing Dependency: libarchive.so.13()(64bit) for package: cmake3-3.6.1-2.el6.x86_64
--> Running transaction check
---> Package cmake3.x86_64 0:3.6.1-2.el6 will be installed
--> Processing Dependency: libarchive.so.13()(64bit) for package: cmake3-3.6.1-2.el6.x86_64
---> Package cmake3-data.noarch 0:3.6.1-2.el6 will be installed
---> Package jsoncpp.x86_64 0:0.10.5-2.el6 will be installed
--> Finished Dependency Resolution
Error: Package: cmake3-3.6.1-2.el6.x86_64 (epel)
           Requires: libarchive.so.13()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Expected results:
cmake3 should get installed.
Comment 1 Antonio Trande 2017-08-08 13:33:59 EDT
I missed this dependency, unfortunately; i'm sorry.

@Björn,

if you agree, with next rebuild i'm going to update cmake3 to the 3.6.3 release too.
Comment 2 Björn 'besser82' Esser 2017-08-08 14:07:52 EDT
(In reply to Antonio Trande from comment #1)
> I missed this dependency, unfortunately; i'm sorry.
> 
> @Björn,
> 
> if you agree, with next rebuild i'm going to update cmake3 to the 3.6.3
> release too.

Just bump the release and rebuild.  I'm going to update cmake3 to v3.9.1, which contains several EPEL-related fixes, as soon as it will be released during this month.

I think we can save the time and effort to update to v3.6.3
Comment 3 Antonio Trande 2017-08-08 14:10:21 EDT
> Just bump the release and rebuild.

So yes?
cmake3-3.6.3?
Comment 4 Björn 'besser82' Esser 2017-08-08 14:14:26 EDT
(In reply to Antonio Trande from comment #3)
> > Just bump the release and rebuild.
> 
> So yes?
> cmake3-3.6.3?

Well, it doesn't make much sense, since I'm going to update to v3.9.1 as soon as it is released.

Just rebuild v3.6.1 for now to save time.
Comment 5 Fedora Update System 2017-08-08 15:44:57 EDT
cmake3-3.6.1-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-657403d96c
Comment 6 Fedora Update System 2017-08-10 02:19:54 EDT
cmake3-3.6.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Maxime 2017-08-10 10:06:21 EDT
Thank you so much Antonio and Bjorn for fixing this so quickly. Really appreciate it!

Note You need to log in before you can comment on or make changes to this bug.